<?php

namespace Drp\VoidTransport;

use Illuminate\Mail\Transport\Transport;
use Swift_Mime_Message;

class VoidTransport extends Transport
{
    /**
     * Deliberately do nothing with an email.
     * Used to suppress all outgoing emails.
     * @param Swift_Mime_Message $message The Swift Message.
     * @param mixed $failedRecipients An array of failures by-reference
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     * @return integer
     */
    public function send(Swift_Mime_Message $message, &$failedRecipients = null)
    {
        return 0;
    }
}
